import {Article, Author, CategoryName} from '../types';

export const authors: Author[] = [
  {
    id: '1',
    name: 'Елена Маркова',
    avatar: 'https://images.unsplash.com/photo-1494790108377-be9c29b29330?auto=format&fit=crop&q=80&w=150&h=150',
    bio: 'Cultural critic and art historian based in Barcelona',
  },
  {
    id: '2',
    name: 'Илья Золкин',
    avatar: 'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?auto=format&fit=crop&q=80&w=150&h=150',
    bio: 'Music journalist and classical pianist',
  },
];

export const articles: Article[] = [
  {
    id: '1',
    title: 'The Renaissance of Independent Theater',
    excerpt: 'How small theater companies are revolutionizing modern storytelling through innovative approaches and community engagement.',
    content: 'In the heart of urban artistic communities, independent theater companies are crafting innovative narratives that challenge traditional storytelling methods.',
    categoryId: 2, // Theater
    city: 'New York',
    author: authors[0],
    coverImage: 'https://images.unsplash.com/photo-1503095396549-807759245b35?auto=format&fit=crop&q=80&w=2070',
    gallery: [
      {
        id: '1',
        url: 'https://images.unsplash.com/photo-1507676184212-d03ab07a01bf?auto=format&fit=crop&q=80&w=2070',
        caption: 'Behind the scenes at the rehearsal',
        alt: 'Theater rehearsal in progress'
      },
      {
        id: '2',
        url: 'https://images.unsplash.com/photo-1460661419201-fd4cecdf8a8b?auto=format&fit=crop&q=80&w=2070',
        caption: 'Stage design and lighting setup',
        alt: 'Theater stage with dramatic lighting'
      },
      {
        id: '3',
        url: 'https://images.unsplash.com/photo-1503095396549-807759245b35?auto=format&fit=crop&q=80&w=2070',
        caption: 'Opening night performance',
        alt: 'Actors performing on stage'
      }
    ],
    publishedAt: '2024-03-15T10:00:00Z',
    readTime: 5,
    likes: 124,
    dislikes: 8,
    userReaction: null,
  },
  {
    id: '2',
    title: 'Evolution of Digital Art Museums',
    excerpt: 'Exploring the intersection of technology and traditional art spaces in the modern digital age.',
    content: 'As we venture further into the digital age, museums are adapting to new ways of presenting art that blend traditional curation with cutting-edge technology.',
    categoryId: 5, // Art
    city: 'London',
    author: authors[1],
    coverImage: 'https://images.unsplash.com/photo-1460661419201-fd4cecdf8a8b?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-14T09:00:00Z',
    readTime: 4,
    likes: 89,
    dislikes: 3,
    userReaction: null,
  },
  {
    id: '3',
    title: 'The Future of Classical Music',
    excerpt: 'Contemporary composers bridging the gap between traditional and modern musical expressions.',
    content: 'Classical music is experiencing a remarkable transformation as new composers blend traditional orchestral elements with contemporary influences.',
    categoryId: 3, // Music
    city: 'London',
    author: authors[1],
    coverImage: 'https://images.unsplash.com/photo-1520523839897-bd0b52f945a0?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-13T10:00:00Z',
    readTime: 6,
    likes: 156,
    dislikes: 12,
    userReaction: null,
  },
  {
    id: '4',
    title: 'Modern Literature in the Digital Age',
    excerpt: 'How e-books and digital platforms are changing the way we consume and create literature.',
    content: 'The digital revolution has transformed the literary landscape, offering new ways for authors to reach readers and for stories to be told.',
    categoryId: 5, // Art
    city: 'New York',
    author: authors[0],
    coverImage: 'https://images.unsplash.com/photo-1524995997946-a1c2e315a42f?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-12T09:00:00Z',
    readTime: 5,
    likes: 78,
    dislikes: 4,
    userReaction: null,
  },
  {
    id: '5',
    title: 'The Rise of Immersive Art Installations',
    excerpt: 'How interactive and immersive art is transforming gallery spaces worldwide.',
    content: 'Interactive art installations are revolutionizing the way we experience and engage with contemporary art.',
    categoryId: 5, // Art
    city: 'New York',
    author: authors[0],
    coverImage: 'https://images.unsplash.com/photo-1547826039-bfc35e0f1ea8?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-11T10:00:00Z',
    readTime: 7,
    likes: 201,
    dislikes: 15,
    userReaction: null,
  },
  {
    id: '6',
    title: 'Film Festivals in the Post-Pandemic Era',
    excerpt: 'How film festivals are adapting to hybrid formats and reaching wider audiences.',
    content: 'Film festivals are embracing digital platforms while maintaining the magic of in-person screenings.',
    categoryId: 1, // Film
    city: 'London',
    author: authors[1],
    coverImage: 'https://images.unsplash.com/photo-1478720568477-152d9b164e26?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-10T09:00:00Z',
    readTime: 4,
    likes: 167,
    dislikes: 9,
    userReaction: null,
  },
  {
    id: '7',
    title: 'Street Art: From Vandalism to Validation',
    excerpt: 'The evolution of street art and its acceptance in the contemporary art world.',
    content: 'Street art has transformed from a controversial form of expression to a celebrated art movement.',
    categoryId: 5, // Art
    city: 'New York',
    author: authors[0],
    coverImage: 'https://images.unsplash.com/photo-1524995997946-a1c2e315a42f?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-09T10:00:00Z',
    readTime: 6,
    likes: 145,
    dislikes: 7,
    userReaction: null,
  },
  {
    id: '8',
    title: 'The New Wave of Theater Technology',
    excerpt: 'How digital innovations are enhancing live theater performances.',
    content: 'Modern theater productions are incorporating cutting-edge technology to create immersive experiences.',
    categoryId: 2, // Theater
    city: 'London',
    author: authors[1],
    coverImage: 'https://images.unsplash.com/photo-1507676184212-d03ab07a01bf?auto=format&fit=crop&q=80&w=2070',
    gallery: [] ,
    publishedAt: '2024-03-08T09:00:00Z',
    readTime: 5,
    likes: 134,
    dislikes: 6,
    userReaction: null,
  },
  
  // ... rest of the articles array remains the same
];