import { User } from '../types/auth';
import { Category, City } from '../types';

const categories: Category[] = [
  {id : 1, name : 'Film'},
  {id : 2, name : 'Theater'},
  {id : 3, name : 'Music'},
  {id : 4, name : 'Sports'},
  {id : 5, name : 'Art'},
  {id : 6, name : 'Legends'},
  {id : 7, name : 'Anniversaries'},
  {id : 8, name : 'Memory'}
];

const cities: City[] = ['New York', 'London'];

export const mockUsers: User[] = [
  {
    id: '1',
    email: 'admin@culturescope.com',
    displayName: 'Admin User',
    permissions: {
      categories: categories.reduce((acc, category) => ({
        ...acc,
        [category.id]: { create: true, edit: true, delete: true }
      }), {}),
      cities: cities,
      isAdmin: true
    }
  },
  {
    id: '2',
    email: 'editor@culturescope.com',
    displayName: 'Content Editor',
    permissions: {
      categories: {
        'Art': { create: true, edit: true, delete: false },
        'Music': { create: true, edit: true, delete: false },
        'Film': { create: true, edit: true, delete: false }
      },
      cities: ['New York'],
      isAdmin: false
    }
  },
  {
    id: '3',
    email: 'writer@culturescope.com',
    displayName: 'Staff Writer',
    permissions: {
      categories: {
        'Theater': { create: true, edit: false, delete: false },
        'Sports': { create: true, edit: false, delete: false }
      },
      cities: ['London'],
      isAdmin: false
    }
  }
];