import { CategoryName, City } from './index';

export interface UserPermissions {
  categories: {
    [key in CategoryName]?: {
      create: boolean;
      edit: boolean;
      delete: boolean;
    };
  };
  cities: City[];
  isAdmin: boolean;
}

export interface User {
  id: string;
  email: string;
  displayName: string;
  permissions: UserPermissions;
}