export interface Article {
  id: string;
  title: string;
  excerpt: string;
  content: string;
  category: Category;
  categoryId: number;
  city: City;
  author: Author;
  coverImage: string;
  gallery?: GalleryImage[];
  publishedAt: string;
  readTime: number;
  likes: number;
  dislikes: number;
  userReaction?: 'like' | 'dislike' | null;
}

export interface GalleryImage {
  id: string;
  url: string;
  caption: string;
  alt: string;
}

export interface Author {
  id: string;
  name: string;
  avatar: string;
  bio: string;
}

export interface Category {
  id: number;
  name: CategoryName;
}

export type CategoryName = 'Film' | 'Theater' | 'Music' | 'Sports' | 'Art' | 'Legends' | 'Anniversaries' | 'Memory';
export type City = 'New York' | 'London';

export const CategoryNames: CategoryName[] = [
  'Film', 'Theater', 'Music', 'Sports', 'Art', 'Legends', 'Anniversaries', 'Memory'
];

export const CategoryMap: Record<string, number> = {
  Film: 1,
  Theater: 2,
  Music: 3,
  Sports: 4,
  Art: 5,
  Legends: 6,
  Anniversaries: 7,
  Memory: 8,
};